package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.robot.dto.RobotGenericsDataDTO;
import cn.iocoder.yudao.module.system.controller.admin.log.dto.RobotWalkingDistanceDTO;
import cn.iocoder.yudao.module.system.service.log.RobotTaskTimeConsumingService;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PlanningRobotWalkingDistanceServiceImpl implements MqttService{

    @Resource
    private RobotTaskTimeConsumingService robotTaskTimeConsumingService;

    @Override
    public void analysisMessage(String message) {
        RobotWalkingDistanceDTO data = JSON.parseObject(message , RobotWalkingDistanceDTO.class);
        robotTaskTimeConsumingService.updateTime(data);
    }
}